<?php

Kirki::add_config( 'lightblogkt', array(
	'capability'  => 'edit_theme_options',
	'option_type' => 'theme_mod',
) );



/*=============================================== Header Sections ===============================================*/

Kirki::add_field( 'lightblogkt', array(
	'type'     => 'color',
	'settings' => 'lightblogkt_header_primary_menu_color',
	'label'    => esc_html__(  'Primany Menu Color', 'lightblogkt' ),
	'section'      => 'header',
	'default'  => '#373737',
	'priority' => 1,
      'output'      => array(
        array(
          'element'  => '
		  		.sf-menu a, #logo .site-description,
				#top-nav-wrap .sf-menu .current_page_item ul li a,
				#top-nav-wrap .sf-menu .current-menu-item ul li a,
				#top-nav-wrap .sf-menu .current-menu-ancestor ul li a,
				#top-nav-wrap .sf-menu .current_page_ancestor ul li a,
				#top-nav-wrap .sf-menu .current-cat ul li a
		  ',
          'property' => 'color'
        ),
	),
) );

Kirki::add_field( 'lightblogkt', array(
	'type'     => 'color',
	'settings' => 'lightblogkt_header_primary_menu_hover_color',
	'label'    => esc_html__(  'Primary Menu Hover Color', 'lightblogkt' ),
	'section'  => 'header',
	'default'  => '#45a582',
	'priority' => 1,
	'output'   => array(
		array(
			'element'  => '
						
						.sf-menu li li a:hover,
						.sf-menu a:hover,
						#top-nav-wrap .sf-menu li.current-menu-ancestor a,
						#top-nav-wrap .sf-menu li.current_page_ancestor a,
						#top-nav-wrap .sf-menu .current_page_item a,
						#top-nav-wrap .sf-menu .current_page_ancestor a,
						#top-nav-wrap .sf-menu .current-menu-item a,
						#top-nav-wrap .sf-menu .current-cat a,
						#top-nav-wrap .sf-menu li .current_page_item a, 
						#top-nav-wrap .sf-menu li .current_page_item a:hover,
						#top-nav-wrap .sf-menu li .current-menu-item a, 
						#top-nav-wrap .sf-menu li .current-menu-item a:hover,
						#top-nav-wrap .sf-menu li .current-cat a, 
						#top-nav-wrap .sf-menu li .current-cat a:hover,
						#top-nav-wrap .sf-menu .current_page_item ul li a:hover,
						#top-nav-wrap .sf-menu .current-menu-item ul li a:hover,
						#top-nav-wrap .sf-menu .current-menu-ancestor ul li a:hover,
						#top-nav-wrap .sf-menu .current_page_ancestor ul li a:hover,
						#top-nav-wrap .sf-menu .current-menu-ancestor ul .current_page_item a,
						#top-nav-wrap .sf-menu .current_page_ancestor ul .current-menu-item a,
						#top-nav-wrap .sf-menu .current-cat ul li a:hover 
			 ',
			'property' => 'color',
		),
	),

) );

Kirki::add_field( 'lightblogkt', array(
	'type'     		=> 'color',
	'settings' 		=> 'lightblogkt_header_background_color',
	'label'    		=> esc_html__(  'Background', 'lightblogkt' ),
	'description' 	=> esc_html__(  'Background Color', 'lightblogkt' ),
	'section'      	=> 'header',
	'default'  		=> '#fbfbfb',
	'priority' 		=> 1,
	'output'   		=> array(
		array(
			'element'  => '#headercontainer',
			'property' => 'background',
		),

	),

) );

Kirki::add_field( 'lightblogkt', array(
	'type'         => 'background',
	'settings'     => 'lightblogkt_header_background',
	'section'      => 'header',
	'default'      => array(
		'image'    => '',
		'repeat'   => 'repeat',
		'size'     => 'inherit',
		'position' => 'center-center',
		'opacity'  => 100,
	),
	'priority'     => 1,
	'output'       => '#headercontainer',
) );



/*=============================================== Main Body Sections ===============================================*/

Kirki::add_field( 'lightblogkt', array(
	'type'     		=> 'color',
	'settings' 		=> 'lightblogkt_main_body_background_color',
	'label'    		=> esc_html__(  'Background', 'lightblogkt' ),
	'description' 	=> esc_html__(  'Background Color', 'lightblogkt' ),
	'section'      	=> 'main_body',
	'default'  		=> '#ffffff',
	'priority' 		=> 1,
	'output'   		=> array(
		array(
			'element'  => 'body',
			'property' => 'background',
		),

	),

) );

Kirki::add_field( 'lightblogkt', array(
	'type'         => 'background',
	'settings'     => 'lightblogkt_main_body_background',
	'section'      => 'main_body',
	'default'      => array(
		'image'    => '',
		'repeat'   => 'repeat',
		'size'     => 'inherit',
		'position' => 'center-center',
		'opacity'  => 100,
	),
	'priority'     => 1,
	'output'       => 'body',
) );


Kirki::add_field( 'lightblogkt', array(
	'type'     => 'color',
	'settings' => 'lightblogkt_main_body_heading_color',
	'label'    => esc_html__(  'Heading Color', 'lightblogkt' ),
	'section'  => 'main_body',
	'default'  => '#373737',
	'priority' => 1,
     'output'      => array(
        array(
          'element'  => '.pagetitle, h1, h2, h3, h4, h5, h6, .widget-title, .sidebar .widget-title, .entry-title, .entry-title a, #logo .site-title, #logo .site-title a, 
						 .recentpost-widget .recent-title, .recentpost-widget .recent-title a, .testimonial-widget .testi-user-wrap .testi-title, 
						 #featurescontent .features-header .entry-title, #featurescontent .features-header .entry-title a, .portfolio-title, .portfolio-title a.title-link,
						 #hometesti-container #testi-carousel .testi-title, .author-description a
						',
          'property' => 'color'
        ),
	),
) );

Kirki::add_field( 'lightblogkt', array(
	'type'     => 'color',
	'settings' => 'lightblogkt_main_body_text_color',
	'label'    => esc_html__(  'Text Color', 'lightblogkt' ),
	'section'  => 'main_body',
	'default'  => '#666666',
	'priority' => 1,
    'output'      => array(
        array(
          'element'  => 'body, .wp-pagenavi .pages, #hometesti-container .testi-content, label, .comment-reply-link, .sidebar li a, .entry-utility, .entry-utility a, article .fn, .entry-tag, 	
		  				.entry-tag a, .pingback .comment-edit-link, .comment-metadata a.date, .comment-form label, blockquote, .nav-links .page-numbers.dots
		  				 ',
          'property' => 'color'
        ),
        array(
            'element'  => 'blockquote',
            'property' => 'border-color',
        ),
	),
) );


Kirki::add_field( 'lightblogkt', array(
	'type'     => 'color',
	'settings' => 'lightblogkt_main_body_link_color',
	'label'    =>  esc_html__( 'Link Color', 'lightblogkt' ),
	'section'  => 'main_body',
	'default'  => '#45a582',
	'priority' => 1,
     'output'      => array(
        array(
          'element'  => 'a, .pingback .comment-edit-link, .portfolio-filter ul li:focus, .portfolio-title a, .portfolio-title a:focus,
		      			.portfolio-filter ul li:hover, .portfolio-filter ul li.filter.active, h2.active span, .more-link, .required, 
						.sidebar li a:hover, .sidebar li li a:hover, .sidebar li li a.current, .comment-metadata a.date:hover, .tagcloud a:hover, .articlecontainer .entry-title a:hover, 
						.recentpost-widget .recent-title a:hover, .recentpost-widget .recent-title a:focus, .entry-title a:hover, 
						.comment-metadata a:hover, blockquote cite, blockquote small, .entry-tag a:hover, .author-description a:hover, .author-description a:focus,
						.comment-reply-link:hover, .comment-reply-link:focus, .comment-metadata a:focus, .entry-utility a:hover,
						.pingback .comment-edit-link:hover,
						.pingback .comment-edit-link:focus
						',
		  'property' => 'color',
        ),
        array(
            'element'  => '.widget_calendar tbody a, mark, ins, div.wp-pagenavi a:hover, div.wp-pagenavi span.current, ul.page-numbers li a:hover, 
							.page-numbers.current, .page-numbers.current:hover
						
			',
            'property' => 'background',
        ),

	),
) );

Kirki::add_field( 'lightblogkt', array(
	'type'     => 'color',
	'settings' => 'lightblogkt_main_body_hover_color',
	'label'    => esc_html__(  'Links - Hover Color', 'lightblogkt' ),
	'section'  => 'main_body',
	'default'  => '#666666',
	'priority' => 1,
	'output'   => array(
		array(
			'element'  => 'a:hover, .comment-metadata a, .comment-reply-link
						  ',
			'property' => 'color',
        ),
        array(
            'element'  => '.widget_calendar tbody a:hover, .widget_calendar tbody a:focus',
            'property' => 'background',
        ),
	),

) );




/*=============================================== Footer Sections ===============================================*/
Kirki::add_field( 'lightblogkt', array(
	'type'     		=> 'color',
	'settings' 		=> 'lightblogkt_footer_background_color',
	'label'        	=> esc_html__(  'Background', 'lightblogkt' ),
	'description' 	=> esc_html__(  'Background Color', 'lightblogkt' ),
	'section'      	=> 'footer',
	'default'  		=> '#111111',
	'priority' 		=> 1,
	'output'   		=> array(
		array(
			'element'  => '#outerfooter',
			'property' => 'background',
		),

	),

) );

Kirki::add_field( 'lightblogkt', array(
	'type'         => 'background',
	'settings'     => 'lightblogkt_footer_background',
	'section'      => 'footer',
	'default'      => array(
		'image'    => '',
		'repeat'   => 'repeat',
		'size'     => 'inherit',
		'position' => 'center-center',
		'opacity'  => 100,
	),
	'priority'     => 1,
	'output'       => '#outerfooter',
) );


Kirki::add_field( 'lightblogkt', array(
	'type'     		=> 'color',
	'settings' 		=> 'lightblogkt_footer_link_color',
	'label'    		=> esc_html__(  'Link Color', 'lightblogkt' ),
	'description' 	=> esc_html__(  'Change the color of the link color.', 'lightblogkt' ),
	'section'      	=> 'footer',
	'default'  		=> '#7d7d7d',
	'priority' 		=> 1,
      'output'      => array(
        array(
          'element'  => ' #footer .copyrighttext a, #footer a, #footer a:visited',
          'property' => 'color'
        ),
	),
) );

Kirki::add_field( 'lightblogkt', array(
	'type'    		=> 'color',
	'settings' 		=> 'lightblogkt_footer_hover_color',
	'label'    		=> esc_html__(  'Link Hover Color', 'lightblogkt' ),
	'description' 	=> esc_html__(  'Change the color of the link hover color.', 'lightblogkt' ),
	'section'      	=> 'footer',
	'default'  		=> '#d6d6d6',
	'priority' 		=> 1,
	'output'  		=> array(
		array(
			'element'  => '#footer a:hover, #footer .copyrighttext a:hover',
			'property' => 'color',
		),
	),

) );

Kirki::add_field( 'lightblogkt', array(
	'type'     		=> 'color',
	'settings' 		=> 'lightblogkt_footer_text_color',
	'label'    		=> esc_html__(  'Text Color', 'lightblogkt' ),
	'description' 	=> esc_html__(  'Change the color of the text color.', 'lightblogkt' ),
	'section'      	=> 'footer',
	'default'  		=> '#7d7d7d',
	'priority' 		=> 1,
      'output'      => array(
        array(
          'element'  => '#footer .copyrighttext',
          'property' => 'color'
        ),
	),
) );




/*=============================================== Other Sections ===============================================*/


//Button 
Kirki::add_field( 'lightblogkt', array(
	'type'        => 'color',
	'settings'    => 'lightblogkt_button_color',
	'label'       => esc_html__(  'Button', 'lightblogkt' ),
	'section'     => 'other',
	'default'     => '#ffffff',
	'description' => esc_html__(  'Text Color', 'lightblogkt' ),
	'priority'    => 1,
     'output'      => array(
        array(
          'element'  => '	.button, .sticky.featured-post,
							button,
							input[type="submit"],
							input[type="reset"],
							input[type="button"],
							.button:hover, 
							button:hover,
							button:focus,
							input[type="button"]:hover,
							input[type="button"]:focus,
							input[type="reset"]:hover,
							input[type="reset"]:focus,
							input[type="submit"]:hover,
							input[type="submit"]:focus
							
						',
          'property' => 'color'
        ),
	),
) );

Kirki::add_field( 'lightblogkt', array(
	'type'        => 'color',
	'settings'    => 'lightblogkt_button_bg_color',
	'section'     => 'other',
	'default'     => '#222222',
	'description' => esc_html__(  'Background Color', 'lightblogkt' ),
	'priority'    => 1,
     'output'      => array(
        array(
          'element'  => '	.button, .sticky.featured-post,
							button,
							input[type="submit"],
							input[type="reset"],
							input[type="button"]
							
						',
          'property' => 'background'
        ),
	),
) );

Kirki::add_field( 'lightblogkt', array(
	'type'        => 'color',
	'settings'    => 'lightblogkt_button_bg_hover_color',
	'section'     => 'other',
	'default'     => '#666666',
	'description' => esc_html__(  'Background Hover Color', 'lightblogkt' ),
	'priority'    => 1,
     'output'      => array(
        array(
          'element'  => '	.button:hover, 
							button:hover,
							button:focus,
							input[type="button"]:hover,
							input[type="button"]:focus,
							input[type="reset"]:hover,
							input[type="reset"]:focus,
							input[type="submit"]:hover,
							input[type="submit"]:focus
							
						',
          'property' => 'background'
        ),
	),
) );


//Page Navigation
Kirki::add_field( 'lightblogkt', array(
	'type'        => 'color',
	'settings'    => 'lightblogkt_page_nav_text_color',
	'label'       => esc_html__(  'Page Navigation', 'lightblogkt' ),
	'section'     => 'other',
	'default'     => '#ffffff',
	'description' => esc_html__(  'Text Color', 'lightblogkt' ),
	'priority'    => 1,
     'output'      => array(
        array(
          'element'  => '.nav-links .page-numbers, .malinky-load-more__button, .nav-previous a, .nav-next a',
          'property' => 'color'
        ),
	),
) );

Kirki::add_field( 'lightblogkt', array(
	'type'        => 'color',
	'settings'    => 'lightblogkt_page_nav_hover_color',
	'section'     => 'other',
	'default'     => '#ffffff',
	'description' => esc_html__(  'Text Hover Color', 'lightblogkt' ),
	'priority'    => 1,
     'output'      => array(
        array(
          'element'  => '	.malinky-load-more__button:hover, .malinky-load-more__button:focus,
		  					.nav-links .page-numbers:hover,
							.nav-links .page-numbers.current,
							.nav-links .page-numbers.current:hover, .nav-previous a:hover,
							.nav-next a:hover 
						',
          'property' => 'color'
        ),
	),
) );

Kirki::add_field( 'lightblogkt', array(
	'type'        => 'color',
	'settings'    => 'lightblogkt_page_nav_bg_color',
	'section'     => 'other',
	'default'     => '#555555',
	'description' => esc_html__(  'Background Color', 'lightblogkt' ),
	'priority'    => 1,
     'output'      => array(
        array(
          'element'  => '.nav-links .page-numbers, .malinky-load-more__button, .nav-previous a, .nav-next a',
          'property' => 'background'
        ),
	),
) );

Kirki::add_field( 'lightblogkt', array(
	'type'        => 'color',
	'settings'    => 'lightblogkt_page_nav_bg_hover_color',
	'section'     => 'other',
	'default'     => '#666666',
	'description' => esc_html__(  'Background Hover Color', 'lightblogkt' ),
	'priority'    => 1,
     'output'      => array(
        array(
          'element'  => '	.malinky-load-more__button:hover, .malinky-load-more__button:focus,
							.nav-links .page-numbers:hover,
							.nav-links .page-numbers.current,
							.nav-links .page-numbers.current:hover, .nav-previous a:hover,
							.nav-next a:hover  
						',
          'property' => 'background'
        ),
	),
) );