<?php
/**
 * The Template for displaying all single posts.
 *
 * @package lightblog
 * @since lightblog 1.0
 */

get_header(); ?>

<!-- MAIN CONTENT -->
<div id="maincontent" class="site-content">
<div class="container">
    <div class="row">
    <div class="maincontent-wrapper">  
            
        <section id="primary" class="content-area eight columns">
        <main id="main" class="site-main" role="main">
            <?php
            // Start the loop.
            while ( have_posts() ) : the_post();
        
                // Include the single post content template.
                get_template_part( 'content', 'single' );

				if ( '' !== get_the_author_meta( 'description' ) ) {
					get_template_part( 'author-bio' );
				}
        
                // If comments are open or we have at least one comment, load up the comment template.
                if ( comments_open() || get_comments_number() ) {
                    comments_template();
                }

                // End of the loop.
            endwhile;
            ?>
        
            </main><!-- .site-main -->
        </section><!-- .content-area -->
        
        <aside id="secondary" class="sidebar widget-area four columns " role="complementary">
        <?php get_sidebar(); ?>
        </aside><!-- .sidebar .widget-area -->
        <div class="clear"></div>
	</div>
    </div>
</div>
</div><!-- end maincontent -->
<!-- END MAIN CONTENT -->

<?php get_footer(); ?>